Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class GroovyClassLoader.ClassCollector

    java.lang.Object
      CompilationUnit.ClassgenCallback
          groovy.lang.GroovyClassLoader.ClassCollector

    public static class GroovyClassLoader.ClassCollector
    extends ClassgenCallback

Constructor Summary
`protected GroovyClassLoader.ClassCollector(InnerLoader cl, CompilationUnit unit, SourceUnit su)`

Method Summary
`void` | `call(org.objectweb.asm.ClassVisitor classWriter, ClassNode classNode)`
`protected java.lang.Class` | `createClass(byte[] code, ClassNode classNode)`
`GroovyClassLoader` | `getDefiningClassLoader()`
`java.util.Collection` | `getLoadedClasses()` open up the super class define that takes raw bytes
`protected java.lang.Class` | `onClassNode(org.objectweb.asm.ClassWriter classWriter, ClassNode classNode)`

Constructor Detail

### GroovyClassLoader.ClassCollector

    protected GroovyClassLoader.ClassCollector(InnerLoader cl, CompilationUnit unit, SourceUnit su)

Method Detail

### call

    public void call(org.objectweb.asm.ClassVisitor classWriter, ClassNode classNode)

### createClass

    protected java.lang.Class createClass(byte[] code, ClassNode classNode)

### getDefiningClassLoader

    public GroovyClassLoader getDefiningClassLoader()

### getLoadedClasses

    public java.util.Collection getLoadedClasses()

  open up the super class define that takes raw bytes

### onClassNode

    protected java.lang.Class onClassNode(org.objectweb.asm.ClassWriter classWriter, ClassNode classNode)

Groovy Documentation